> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-bradley-turek-pfilter-operators-reference.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Metadata

> Retrieves metadata for a specified dataset, including the dataset's properties and optionally requested parts of the metadata



## OpenAPI

````yaml /openapi/product/data-sets.yaml get /api/data/v3/datasources/{datasetId}
openapi: 3.0.0
info:
  title: Datasets API
  version: v1
  description: >
    The Domo Datasets API provides a set of endpoints for managing, creating,
    and updating datasets within Domo. The API allows developers to execute SQL
    queries on datasets,

    manage access permissions, retrieve metadata, append rows, share datasets,
    and perform various dataset operations.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: example
        description: Your Domo instance name
security:
  - developerToken: []
paths:
  /api/data/v3/datasources/{datasetId}:
    get:
      tags:
        - Datasets API
      summary: Get Metadata
      description: >-
        Retrieves metadata for a specified dataset, including the dataset's
        properties and optionally requested parts of the metadata
      parameters:
        - name: datasetId
          in: path
          required: true
          description: The ID of the dataset
          schema:
            type: string
        - name: part
          in: query
          description: Comma-separated list of metadata parts to include
          schema:
            type: string
            example: core,permission
      responses:
        '200':
          description: Dataset metadata
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetMetadata'
              example:
                id: dataset id
                displayType: webform
                dataProviderType: webform
                type: webform
                name: dataset name
                owner:
                  id: User id
                  name: User name
                  type: USER
                  group: false
                status: SUCCESS
                created: 1231234124
                lastTouched: 1231421312
                lastUpdated: 12341234412
                rowCount: 2
                columnCount: 3
                streamId: 25222
                permissions: READ_WRITE_DELETE_SHARE_ADMIN
      x-codeSamples:
        - lang: HTTP
          source: >
            GET /api/data/v3/datasources/{datasetId}?part=core,permission
            HTTP/1.1

            Host: {instance}.domo.com

            X-DOMO-Developer-Token: {token}

            Content-Type: application/json
components:
  schemas:
    DatasetMetadata:
      type: object
      properties:
        id:
          type: string
        displayType:
          type: string
        dataProviderType:
          type: string
        type:
          type: string
        name:
          type: string
        owner:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            type:
              type: string
            group:
              type: boolean
        status:
          type: string
        created:
          type: integer
          format: int64
        lastTouched:
          type: integer
          format: int64
        lastUpdated:
          type: integer
          format: int64
        rowCount:
          type: integer
        columnCount:
          type: integer
        streamId:
          type: integer
        permissions:
          type: string
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Developer token obtained from Domo

````